# Type Alias ControlInsertedFn

ControlInsertedFn: (
index: number,
controlOrDefinition: AbstractControl | FormDefinition,
) => void

#### Type declaration

- - (index: number, controlOrDefinition: AbstractControl | FormDefinition): void

  - #### Parameters

    - index: number
    - controlOrDefinition: AbstractControl | FormDefinition

    #### Returns void

- Defined in packages/angular/forms/src/lib/model.ts:126